Recommended update for sbd

SUSE Recommended Update: Recommended update for sbd
Announcement ID: SUSE-RU-2019:0675-1
Rating: moderate
References: #1112918
Affected Products:
  • SUSE Linux Enterprise High Availability 12-SP4

An update that has one recommended fix can now be installed.

Description:

This update for sbd fixes the following issues:

  • Update to version 1.4.0+20190123.1829c40:

  • sbd.sysconfig: watchdog timeout set in the on-disk metadata takes precedence
  • sbd.8.pod: use the generic term "cluster services" instead of the specific "openais" (bsc#1112918)
  • make timeout-action executed by sbd configurable
  • use pacemaker's new pe api with constructors/destructors

Patch Instructions:

To install this SUSE Recommended Update use the SUSE recommended installation methods like YaST online_update or "zypper patch".
Alternatively you can run the command listed for your product:

  • SUSE Linux Enterprise High Availability 12-SP4:
    zypper in -t patch SUSE-SLE-HA-12-SP4-2019-675=1

Package List:

  • SUSE Linux Enterprise High Availability 12-SP4 (ppc64le s390x x86_64):
    • sbd-1.4.0+20190123.1829c40-3.3.3
    • sbd-debuginfo-1.4.0+20190123.1829c40-3.3.3
    • sbd-debugsource-1.4.0+20190123.1829c40-3.3.3

References: